Name:           nodejs-lodash-node
Version:        2.4.1
Release:        4%{?dist}
Summary:        A collection of Lo-Dash methods as Node.js modules

License:        MIT
URL:            https://github.com/lodash/lodash-node
Source0:        http://registry.npmjs.org/lodash-node/-/lodash-node-%{version}.tgz
Source1:        nodejs-lodash-node-functions.txt
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(lodash-cli)

%description
A collection of Lo-Dash methods as Node.js modules generated by lodash-cli.


%{lua:
template = [[
%package -n nodejs-lodash-@@PKG@@
Summary:        The Lo-Dash function `_.@@FUNC@@` as a Node.js module
License:        MIT
Provides:       npm(lodash.@@FUNC@@)

%description -n nodejs-lodash-@@PKG@@
The Lo-Dash function `_.@@FUNC@@` as a Node.js module
generated by lodash-cli.

%files -n nodejs-lodash-@@PKG@@
%doc npm/lodash.@@FUNC@@/LICENSE.txt npm/lodash.@@FUNC@@/README.md
%{nodejs_sitelib}/lodash.@@FUNC@@
]]
for func in io.open(rpm.expand("%SOURCE1")):lines() do
  pkg = string.gsub(func, "_", "")
  print(rpm.expand(string.gsub(string.gsub(template, "@@FUNC@@", func), "@@PKG@@", pkg)).."\n")
end}


%prep
%setup -q -n package
rm -rf node_modules compat modern underscore


%build
%{nodejs_sitelib}/lodash-cli/bin/lodash modularize exports="node" -o ./compat/
%{nodejs_sitelib}/lodash-cli/bin/lodash modularize modern exports="node" -o ./modern/
%{nodejs_sitelib}/lodash-cli/bin/lodash modularize underscore exports="node" -o ./underscore/
%{nodejs_sitelib}/lodash-cli/bin/lodash modularize modern exports="npm" -o ./npm/


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lodash-node
cp -pr package.json compat modern underscore %{buildroot}%{nodejs_sitelib}/lodash-node
pushd npm
for module in lodash.*
do
  mkdir %{buildroot}%{nodejs_sitelib}/$module
  cp -pr $module/package.json %{buildroot}%{nodejs_sitelib}/$module
  cp -pr $module/index.js %{buildroot}%{nodejs_sitelib}/$module
done
popd
%nodejs_symlink_deps


%files
%doc LICENSE.txt README.md
%{nodejs_sitelib}/lodash-node


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Tom Hughes <tom@compton.nu> - 2.4.1-3
- Build packages for modularized lodash

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 22 2014 Tom Hughes <tom@compton.nu> - 2.4.1-1
- Initial build of 2.4.1
